package com.qsoft.rs.sincoar.dominio.mapper;

import com.qsoft.rs.sincoar.model.MdSchemas;
import com.qsoft.rs.sincoar.dto.MdSchemasDTO;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.factory.Mappers;

@Mapper
public interface MdSchemasMapper {

    MdSchemasMapper INSTANCE = Mappers.getMapper(MdSchemasMapper.class);
    @Mapping(source = "catalogIdFk", target = "catalogIdFk.id")
    MdSchemas getEntidad(MdSchemasDTO mdSchemas);

    @Mapping(target = "catalogIdFk", source = "catalogIdFk.id")
    MdSchemasDTO getDto(MdSchemas mdSchemas);

}